Skip to main content
GET
/
v1
/
usage
curl "https://api.agenticpencil.com/v1/usage" \
  -H "Authorization: Bearer ap_your_api_key_here"
{
  "success": true,
  "data": {
    "plan": "free",
    "credits_used": 30,
    "credits_limit": 50,
    "credits_remaining": 20,
    "rate_limit": 10,
    "recent_calls": [
      {
        "endpoint": "/v1/keywords/research",
        "credits_used": 5,
        "created_at": "2026-02-18T15:30:00Z"
      }
    ],
    "upgrade_url": "https://platform.agenticpencil.com/billing"
  }
}
Check your current plan, credit balance, rate limits, and recent API calls.
curl "https://api.agenticpencil.com/v1/usage" \
  -H "Authorization: Bearer ap_your_api_key_here"

Authorization

Authorization
string
required
Bearer token. Format: Bearer ap_your_api_key

Response

{
  "success": true,
  "data": {
    "plan": "free",
    "credits_used": 30,
    "credits_limit": 50,
    "credits_remaining": 20,
    "rate_limit": 10,
    "recent_calls": [
      {
        "endpoint": "/v1/keywords/research",
        "credits_used": 5,
        "created_at": "2026-02-18T15:30:00Z"
      }
    ],
    "upgrade_url": "https://platform.agenticpencil.com/billing"
  }
}